Package org.apache.lucene.codecs.lucene912

# Class ForDeltaUtil

java.lang.Object
org.apache.lucene.codecs.lucene912.ForDeltaUtil

public final class ForDeltaUtil extends Object
Inspired from https://fulmicoton.com/posts/bitpacking/ Encodes multiple integers in a long to get SIMD-like speedups. If bitsPerValue <= 4 then we pack 8 ints per long else if bitsPerValue <= 11 we pack 4 ints per long else we pack 2 ints per long

## Constructor Summary

Constructors
Constructor
Description
`ForDeltaUtil()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ForDeltaUtil

public ForDeltaUtil()